Subject: bug#7863: closed (Re: bug#7863: bug #7863: 24.0.50; [Gnus] random errors when moving 2+ emails from nnml to nnimap)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 22 Jan 2011 19:47:02 +0000

Your bug report

#7863: 24.0.50; [Gnus] random errors when moving 2+ emails from nnml to nnimap

which was filed against the emacs,gnus package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7863: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7863
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7863: bug #7863: 24.0.50; [Gnus] random errors when moving 2+ emails from nnml to nnimap
From: Lars Magne Ingebrigtsen <[email-masked]>
To: Luca Capello <[email-masked]>
Cc: [email-masked]
Date: Sat, 22 Jan 2011 20:54:10 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Luca Capello <[email-masked]> writes:

>> Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p nil)
>>   gnus-add-to-range(((1 . 1196)) (nil))
>>   gnus-summary-move-article(nil)

The IMAP server isn't saying what the new article number is, so this
code is failing.  I've now added a check for this situation.

-- 
(domestic pets only, the antidote for overdose, milk.)
  [email-masked] * Lars Magne Ingebrigtsen

Subject: 24.0.50; [Gnus] dsaf dsa f
From: Luca Capello <[email-masked]>
To: [email-masked]
Date: Tue, 18 Jan 2011 23:17:07 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi there!

I do not remember the first time I experienced this bug, but it randomly
happens since about a month.

All my emails are on a Dovecot IMAP server (Debian lenny), which does
not seem to have any problem when I access it via Mutt.  With Gnus,
however, when I move 2 (or more) sent emails from `nnml:mail.sent' to an
`nnimap:' folder, sometime I get the following error:
=====
Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p nil)
  gnus-add-to-range(((1 . 1196)) (nil))
  gnus-summary-move-article(nil)
  call-interactively(gnus-summary-move-article nil nil)
=====

What is strange, however, is that the emails are actually moved, as
indicated in the `*Messages*' buffer:
=====
Moving to nnimap+Server:people.NameSurname: (12585 12584)...
=====

Another confirmation is given by the fact that if I exit the `*Summary
nnml:mail.sent*' buffer, I call `gnus-group-get-new-news' in the
`*Group*' buffer and then re-enter the `*Summary nnml:mail.sent*' buffer
the email that has caused the debug error is no more there, but instead
I can find it in the `nnimap:' folder I moved into.

As I wrote at the beginning, this happens from time to time and until
now I was not able to find a recurring pattern or a test case, sorry.

Thx, bye,
Gismo / Luca

In GNU Emacs 24.0.50.1 (x86_64-pc-linux-gnu, GTK+ Version 2.20.1)
 of 2010-12-13 on elegiac, modified by Debian
 (emacs-snapshot package, version 1:20101212-2)
configured using `configure  '--build' 'x86_64-linux-gnu' '--host' 'x86_64-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/24.0.50/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.0.50/site-lisp:/usr/share/emacs/site-lisp' '--without-compress-info' '--with-x=yes' '--with-x-toolkit=gtk' '--with-imagemagick=yes' 'build_alias=x86_64-linux-gnu' 'host_alias=x86_64-linux-gnu' 'CFLAGS=-DDEBIAN -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2' 'LDFLAGS=-g -Wl,--as-needed' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: en_US.UTF-8
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: en_US.UTF-8
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Summary

Minor modes in effect:
  diff-auto-refine-mode: t
  gpm-mouse-mode: t
  display-battery-mode: t
  display-time-mode: t
  show-paren-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-x o C-n RET q C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n RET d q l C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n RET 2 0 RET RET C-x o C-v C-v ESC < C-x o t C-x 
o C-v C-x o B DEL y x q s ESC > C-p C-p C-p C-p C-p 
C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p RET 
q s C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p 
C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p 
C-p C-p C-p C-p C-p C-p C-n C-n C-n RET RET C-x o ESC 
> C-p C-p C-p C-x o B m C-a C-k n n i m TAB p e TAB 
X a v i TAB RET ESC [ B RET E # C-p C-p ESC u C-p C-n 
RET # C-p C-p # C-p B m C-a C-k n n i m TAB p e TAB 
ESC b C-k s u TAB c h TAB A TAB a TAB RET ESC [ B ESC 
[ B RET # RET # ESC [ A ESC [ A B m C-a k n n i m TAB 
p C-a C-k n n i m TAB p e TAB L u c a M a TAB RET q 
C-c ESC f h C-x C-f ~ / b u g C-g C-c ESC f g C-x o 
C-x b * m e s RET C-p C-p C-p C-p C-a C-p C-p C-@ C-n 
C-n C-n C-n C-n C-n C-n C-n ESC w C-c ESC f C-g ESC 
[ B C-x o C-n ESC x r e b DEL p o TAB r TAB e m TAB 
b u TAB RET

Recent messages:
Moving to nnimap+home.pca.it:people.XavierOswald: (12588)...
Making completion list...
Moving to nnimap+home.pca.it:support.ch.AaNuances: (12586 12587)...
Moving to nnimap+home.pca.it:people.LucaMangano: (12585 12584)...
Entering debugger...
Back to top level.
Quit
Mark set
byte-code: End of buffer
Making completion list...

Load-path shadows:
/usr/share/emacs/24.0.50/site-lisp/auctex/tex-fold hides /usr/share/emacs/site-lisp/auctex/tex-fold
/usr/share/emacs/24.0.50/site-lisp/auctex/tex-jp hides /usr/share/emacs/site-lisp/auctex/tex-jp
/usr/share/emacs/24.0.50/site-lisp/auctex/tex-font hides /usr/share/emacs/site-lisp/auctex/tex-font
/usr/share/emacs/24.0.50/site-lisp/auctex/texmathp hides /usr/share/emacs/site-lisp/auctex/texmathp
/usr/share/emacs/24.0.50/site-lisp/auctex/toolbar-x hides /usr/share/emacs/site-lisp/auctex/toolbar-x
/usr/share/emacs/24.0.50/site-lisp/auctex/tex-buf hides /usr/share/emacs/site-lisp/auctex/tex-buf
/usr/share/emacs/24.0.50/site-lisp/auctex/tex-info hides /usr/share/emacs/site-lisp/auctex/tex-info
/usr/share/emacs/24.0.50/site-lisp/auctex/tex-mik hides /usr/share/emacs/site-lisp/auctex/tex-mik
/usr/share/emacs/24.0.50/site-lisp/auctex/context-nl hides /usr/share/emacs/site-lisp/auctex/context-nl
/usr/share/emacs/24.0.50/site-lisp/auctex/tex-fptex hides /usr/share/emacs/site-lisp/auctex/tex-fptex
/usr/share/emacs/24.0.50/site-lisp/auctex/multi-prompt hides /usr/share/emacs/site-lisp/auctex/multi-prompt
/usr/share/emacs/24.0.50/site-lisp/auctex/tex-style hides /usr/share/emacs/site-lisp/auctex/tex-style
/usr/share/emacs/24.0.50/site-lisp/auctex/font-latex hides /usr/share/emacs/site-lisp/auctex/font-latex
/usr/share/emacs/24.0.50/site-lisp/auctex/bib-cite hides /usr/share/emacs/site-lisp/auctex/bib-cite
/usr/share/emacs/24.0.50/site-lisp/auctex/tex hides /usr/share/emacs/site-lisp/auctex/tex
/usr/share/emacs/24.0.50/site-lisp/auctex/context hides /usr/share/emacs/site-lisp/auctex/context
/usr/share/emacs/24.0.50/site-lisp/auctex/tex-bar hides /usr/share/emacs/site-lisp/auctex/tex-bar
/usr/share/emacs/24.0.50/site-lisp/auctex/latex hides /usr/share/emacs/site-lisp/auctex/latex
/usr/share/emacs/24.0.50/site-lisp/auctex/context-en hides /usr/share/emacs/site-lisp/auctex/context-en
/usr/share/emacs-snapshot/site-lisp/psgml/psgml hides /usr/share/emacs/site-lisp/psgml/psgml
/usr/share/emacs-snapshot/site-lisp/psgml/psgml-other hides /usr/share/emacs/site-lisp/psgml/psgml-other
/usr/share/emacs-snapshot/site-lisp/psgml/psgml-init hides /usr/share/emacs/site-lisp/psgml/psgml-init
/usr/share/emacs-snapshot/site-lisp/psgml/psgml-sysdep hides /usr/share/emacs/site-lisp/psgml/psgml-sysdep
/usr/share/emacs-snapshot/site-lisp/psgml/psgml-html hides /usr/share/emacs/site-lisp/psgml/psgml-html
/usr/share/emacs/24.0.50/site-lisp/debian-startup hides /usr/share/emacs/site-lisp/debian-startup
/usr/local/share/emacs/site-lisp/fortune hides /usr/share/emacs/24.0.50/lisp/play/fortune
/usr/share/emacs-snapshot/site-lisp/emms/tq hides /usr/share/emacs/24.0.50/lisp/emacs-lisp/tq

Features:
(shadow emacsbug calculator tabify org-table org-wl org-w3m org-vm
org-rmail org-mhe org-mew org-irc org-jsinfo org-infojs org-html org-exp
ob-exp org-exp-blocks org-agenda org-info org-gnus org-docview
org-bibtex org-bbdb org warnings ob-emacs-lisp ob-tangle ob-ref ob-lob
ob-table org-footnote org-src ob-comint ob-keys ob ob-eval org-complete
pcomplete org-list org-faces org-compat org-entities org-macs noutline
outline find-func gnus-draft diff-mode vc vc-dispatcher vc-git ffap
flyspell ispell cal-move w3m-cookie w3m-bookmark w3m-tabmenu
gnus-registry debug newcomment time-stamp bbdb-hooks epa-mail footnote
help-mode gnus-dup flow-fill pop3 multi-isearch mule-util ansi-color
gnus-cite w3m-form mail-extr gnus-async gnus-bcklg qp byte-opt bytecomp
byte-compile gnus-ml disp-table utf-7 gnus-topic nndoc nnfolder nnimap
parse-time utf7 nnml nndraft nnmh nnnil gnus-agent gnus-srvr gnus-score
score-mode nnvirtual gnus-cache ielm t-mouse server hideshow
gismo-full-emacs lisppaste xml-rpc ratpoison ratpoisonrc-mode generic
generic-x mpcel gismo-emacs gismo-modes battery time ido paredit paren
dna-mode cldoc eldoc gismo-w3m w3m-session gismo-tidy tidy compile
gismo-popup gismo-planner planner-calendar planner-diary bbdb-anniv
planner-w3m planner-lisp planner-gnus planner-erc planner-bbdb timeclock
view cal-china lunar solar cal-dst cal-bahai cal-islam cal-hebrew
holidays hol-loaddefs appt diary-lib diary-loaddefs icalendar
gismo-keybindings nroff-mode under dictionary link connection w3m
doc-view jka-compr image-mode w3m-hist w3m-fb w3m-ems w3m-ccl ccl
w3m-favicon w3m-image w3m-proc w3m-util planner cal-menu calendar
cal-loaddefs muse-html muse-xml-common muse-colors muse-publish
muse-project muse-protocols info muse-regexps muse muse-nested-tags
muse-mode gismo-gnus gnus-demon nntp proto-stream starttls tls spam
spam-stat gnus-uu yenc gnus-msg gnus-art mm-uu mml2015 mm-view smime
password-cache dig nnir gnus-sum macroexp gnus-group gnus-undo
gnus-start gnus-spec gnus-win browse-url nnrss xml mm-url url url-proxy
url-privacy url-expand url-methods url-history url-cookie url-util
url-parse auth-source netrc url-vars mailcap time-date nnmail gnus-int
gnus-range mail-source message sendmail rfc822 mml mml-sec mm-decode
mm-bodies mm-encode mail-parse rfc2231 gmm-utils mailheader nnoo gnus
gnus-ems nnheader gnus-util mail-utils gnus-BTS offlineimap comint ring
gismo-files gismo-eudc eudcb-ldap eudcb-bbdb bbdb-com mailabbrev cl eudc
cus-edit cus-start cus-load eudc-vars wid-edit ldap gismo-eshell
gismo-erc erc-stamp erc-log erc-dcc erc-goodies erc erc-backend
erc-compat format-spec thingatpt pp gismo-emms emms-playing-time
emms-mode-line emms-info-libtag emms-volume emms-volume-amixer
emms-playlist-mode emms-browser sort emms-playlist-sort emms-score
emms-player-mpd tq emms-stream-info emms-streams emms-source-playlist
emms-source-file dired emms-cache emms-info later-do emms-player-mplayer
emms-player-simple emms-setup emms emms-compat gismo-easypg epa derived
epg epg-config gismo-dired gismo-debian debian-bug rfc2047 rfc2045
ietf-drums mm-util mail-prsvr gismo-broken gismo-bbdb bbdb timezone
gismo-auctex latex tex-style tex regexp-opt advice help-fns
advice-preload easymenu gismo-functions-insert gismo-functions
bg-shell-command unicode-helper edmacro kmacro planner-autoloads
debian-el debian-el-loaddefs w3m-load psgml-init muse-autoloads
emms-auto emacs-goodies-el emacs-goodies-custom emacs-goodies-loaddefs
easy-mmode dpkg-dev-el dpkg-dev-el-loaddefs bbdb-autoloads preview-latex
tex-site auto-loads tooltip ediff-hook vc-hooks lisp-float-type mwheel
x-win x-dnd tool-bar dnd fontset image fringe lisp-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev loaddefs button
minibuffer faces cus-face files text-properties overlay md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process dbusbind dynamic-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)